Subsail Help Docs

Search...
K

List subscriptions

List subscriptions

Overview

List subscriptions

gethttps://api.subsail.com/v1/subscriptions/

Request parameters

cursorstring

query

Opaque cursor from the previous response. Omit for the first page.

limitnumber

query

Items per page. Default: 50. Maximum: 200.

subscriberstring

query

Filter by subscriber ID.

countrystring

query

Filter by subscription country code.

sourcestring

query

Filter by order source ID.

is_giftboolean

query

Filter by gift status. Use true for gift subscriptions, false for non-gifts.

searchstring

query

Partial text search across subscription and subscriber fields.

Request body

No request body.

Request examples

No request body.

Responses

200Paginated list of subscriptions
has_morebooleanRequired

True if more items are available after this page.

cursorstringRequired

Pass this as cursor to fetch the next page. Null when has_more is false.

itemsSubscription[]Required

Array (Subscription):

idstring

Subscription ID.

statusSubscriptionStatus

values

  • Active
  • Active - Renewals stopped
  • Complete
  • Cancelled
  • Past due
mediumPrint | Digital | Print + digital
first_namestring
last_namestring
shipping_addressShippingAddress

Object (ShippingAddress):

companystring
address1string
address2string
citystring
statestring
postcodestring
countrystring
country_namestring
phonestring
lengthnumber

How many issues have been purchased during the subscription.

notesstring

Optional internalnotes about the subscription.

is_recurringboolean
is_compboolean

True if the subscription is a complimentary subscription (no purchase made).

is_giftboolean
gifterGifterRef

Details of the person who gifted the subscription (when is_gift is true).

Object (GifterRef):

full_namestring
emailstring
promo_codestring
discount_amountstring
refundedstring
currencystring
pricestring
order_datedate
start_issueIssueRef

Object (IssueRef):

idstring
numbernumber
namestring
issue_listnumber[]

Issue numbers included in this subscription.

periodsSubscriptionPeriod[]

Array (SubscriptionPeriod):

idnumber
order_datedate
is_completeboolean
lengthnumber

How many issues this period contains.

issue_listnumber[]

Issue numbers included in this period.

subscriberSubscriberRef

Object (SubscriberRef):

idstring
full_namestring
emailstring
sourceSourceRef

Object (SourceRef):

idstring
namestring

Example

JSON
{
  "has_more": "<boolean>",
  "cursor": "<string>",
  "items": [
    {
      "id": "<string>",
      "status": "Active",
      "medium": "<Print | Digital | Print + digital>",
      "first_name": "<string>",
      "last_name": "<string>",
      "shipping_address": {
        "company": "<string>",
        "address1": "<string>",
        "address2": "<string>",
        "city": "<string>",
        "state": "<string>",
        "postcode": "<string>",
        "country": "<string>",
        "country_name": "<string>",
        "phone": "<string>"
      },
      "length": "<number>",
      "notes": "<string>",
      "is_recurring": "<boolean>",
      "is_comp": "<boolean>",
      "is_gift": "<boolean>",
      "gifter": {
        "full_name": "<string>",
        "email": "<string>"
      },
      "promo_code": "<string>",
      "discount_amount": "<string>",
      "refunded": "<string>",
      "currency": "<string>",
      "price": "<string>",
      "order_date": "<date>",
      "start_issue": {
        "id": "<string>",
        "number": "<number>",
        "name": "<string>"
      },
      "issue_list": [
        "<number>"
      ],
      "periods": [
        {
          "id": "<number>",
          "order_date": "<date>",
          "is_complete": "<boolean>",
          "length": "<number>",
          "issue_list": [
            "<number>"
          ]
        }
      ],
      "subscriber": {
        "id": "<string>",
        "full_name": "<string>",
        "email": "<string>"
      },
      "source": {
        "id": "<string>",
        "name": "<string>"
      }
    }
  ]
}
401Missing or invalid API key (empty response body).
403Account is inactive (empty response body).

© Subsail Help Docs

Powered by Basedoc